Version: 3.5

Currently patch supports devices as follow:
- YTM32B1LD04
- YTM32B1LE05, YTM32B1LE04
- YTM32B1ME05
- YTM32B1MD14
- YTM32Z1MC03
- YTM32B1HA01
- YTM32B1MC03
- YTM32Z1MD04
- YTM32Z1LS06
- YTM32B1ME15, YTM32B1ME14
- YTM32B1LE15, YTM32B1LE14

Tools support:
- JLink
- IAR
- KEIL

V3.5 (2024-10-25)
- [Opt] Update dmac file.
- [New] Add iar pemicro patch support, including update patch tool.

V3.4 (2024-09-09)
- [New] Add B1LE15/B1LE14 device.

V3.3 (2024-07-05)
- [Opt] Update svd & h files of each device.
- [New] Add B1ME15/B1ME14 device.

V3.2 (2024-04-15)
- [Fix] Fix B1LE05 and B1LE04 iar .flash file.
- [Fix] Add Z1MD0 device into JLinkDevice.xml file for low version JLink.
- [Opt] Update Z1MD0 svd file.
- [New] Add Z1LS06 device.

V3.1 (2024-03-22)
- [Opt] Add DTCM initialization to be compatible with HA0 YCT demo by default.
- [New] Add Z1MD0 iar patch.
- [New] Add Z1MD0 keil pack.

V3.0 (2024-03-13)
- [Fix] Low version JLink patch issue.
- [Opt] Updated HA0, ME0, MD1, LE0, MC0 svd file for iar patch.
- [Opt] New keil pack for HA0, ME0, LE0, MC0.

V2.9 (2023-12-20):
- [New] Add JLink, IAR and Keil patch for MC0.

V2.8 (2023-11-17):
- [Fix] Restore JLink version which is used to distinguish patch different install method to v2.6.
- [Fix] LE0x patch for JLink whose version is greater than v7.60.

V2.7 (2023-11-12):
- [Fix] Updated JLink version which is used to distinguish different install method as v7.80, not v7.60.
- [New] Use color display to show success or fail to patch, not messagebox.

V2.6 (2023-10-27):
- [Fix] Updated SVD files and Keil pack for YTM32B1ME0 and YTM32B1HA0
- [New] Update patch_tool.exe
- [New] Add IAR trace script
- [New] Remove SRAM ECC initialization when attaching

V2.5 (2023-10-18):
- [Fix] Updated SVD files for devices and regenerate pack files
- [Fix] Added YTM32B1LD0 DFlash IAR patch
- [Fix] Fixed IAR patch warnings
- [Fix] Fixed dflash range issue in IAR patch board file
- [New] Updated devices naming classification structure

V2.4 (2023-09-15):
- [Fix] Fix YTM32B1LE0 iar patch ddf file issue
- [Fix] Fix chip erase in keil FLM for YTM32B1ME0 and YTM32B1MD1
- [Fix] Fix JFlash download issue
- [New] Added YTM32B1HA0 patch
